<template>
  <main class="page">
    <slot name="top" />

    <div class="theme-default-content">
      <Breadcrumbs />
      <div v-if="$page.readingTime" class="reading-time">Reading time: {{$page.readingTime.text}}</div>
      <Content />
    </div>
    <PageEdit />

    <PageNav v-bind="{ sidebarItems }" />

    <slot name="bottom" />
  </main>
</template>

<script>
import Breadcrumbs from "@theme/components/Breadcrumbs.vue";
import PageEdit from "@theme/components/PageEdit.vue";
import PageNav from "@theme/components/PageNav.vue";
export default {
  components: {
    Breadcrumbs,
    PageEdit,
    PageNav
  },
  props: ["sidebarItems"]
};
</script>

<style lang="stylus">
@require '../../../../node_modules/@vuepress/theme-default/styles/wrapper.styl';

.page {
  padding-bottom: 2rem;
  display: block;
}
</style>